List agent tools
curl --request GET \
--url https://api.omnia-voice.com/api/v1/agents/{id}/tools \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/agents/{id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/agents/{id}/tools"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"customTools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"modelToolName": "<string>",
"httpMethod": "<string>",
"baseUrlPattern": "<string>",
"type": "custom",
"assignedAt": "2023-11-07T05:31:56Z"
}
],
"systemTools": [
{
"id": "<string>",
"toolName": "<string>",
"displayName": "<string>",
"description": "<string>",
"type": "system",
"assignedAt": "2023-11-07T05:31:56Z"
}
],
"totalTools": 123
}
}{
"error": "Invalid request body",
"details": {
"formErrors": [
"<string>"
],
"fieldErrors": {
"baseUrlPattern": [
"Internal URLs are not allowed"
]
}
}
}{
"error": "Invalid request body",
"details": {
"formErrors": [
"<string>"
],
"fieldErrors": {
"baseUrlPattern": [
"Internal URLs are not allowed"
]
}
}
}Tools
List agent tools
Get all tools assigned to an agent
GET
/
agents
/
{id}
/
tools
List agent tools
curl --request GET \
--url https://api.omnia-voice.com/api/v1/agents/{id}/tools \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/agents/{id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/agents/{id}/tools"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"customTools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"modelToolName": "<string>",
"httpMethod": "<string>",
"baseUrlPattern": "<string>",
"type": "custom",
"assignedAt": "2023-11-07T05:31:56Z"
}
],
"systemTools": [
{
"id": "<string>",
"toolName": "<string>",
"displayName": "<string>",
"description": "<string>",
"type": "system",
"assignedAt": "2023-11-07T05:31:56Z"
}
],
"totalTools": 123
}
}{
"error": "Invalid request body",
"details": {
"formErrors": [
"<string>"
],
"fieldErrors": {
"baseUrlPattern": [
"Internal URLs are not allowed"
]
}
}
}{
"error": "Invalid request body",
"details": {
"formErrors": [
"<string>"
],
"fieldErrors": {
"baseUrlPattern": [
"Internal URLs are not allowed"
]
}
}
}⌘I